SHELL = /bin/sh

ifndef $(MACHTYPE)
	MACHTYPE = $(shell uname -m)
endif

ifeq ($(MACHTYPE),Power Macintosh)
	MACHTYPE = ppc
endif

CC = gcc

CFLAGS  = -Wall

CFLAGS += -O

CFLAGS += -D_FILE_OFFSET_BITS=64
CFLAGS += -D_LARGEFILE_SOURCE
CFLAGS += -D_GNU_SOURCE
CFLAGS += -DMACHTYPE_$(MACHTYPE)

.SUFFIXES: 
.SUFFIXES: .c .o .a
